org.apache.sling.testing.tools.junit

## Class TestNameLoggingFilter

- java.lang.Object
- - org.apache.sling.testing.tools.junit.TestNameLoggingFilter

All Implemented Interfaces:
  javax.servlet.Filter

    @Service
     @Property(name="osgi.http.whiteboard.filter.pattern",value="/") @Property(name="osgi.http.whiteboard.context.select",value="(osgi.http.whiteboard.context.name=*)")
    public class TestNameLoggingFilter
    extends Object
    implements javax.servlet.Filter

Filter which logs the test class and name being executed, if set in request headers.

### Constructor Summary

Constructors
Constructor and Description
`TestNameLoggingFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestNameLoggingFilter

    public TestNameLoggingFilter()

### Method Detail

#### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`

#### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain filterChain)
                  throws IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`